hpp-core: hpp::core::distance::ReedsShepp Class Reference

hpp-core 9.0.2 Implement basic classes for canonical path planning for kinematic chains.

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
hpp::core::distance::ReedsShepp Class Reference
Steering method and distance functions

`#include <hpp/core/distance/reeds-shepp.hh>`

Inheritance diagram for hpp::core::distance::ReedsShepp:
[legend]
Collaboration diagram for hpp::core::distance::ReedsShepp:
[legend]

## Public Member Functions
virtual DistancePtr_t | clone () const
void | turningRadius (const value_type &rho)
value_type | turningRadius () const
Public Member Functions inherited from hpp::core::Distance
value_type | operator() (ConfigurationIn_t q1, ConfigurationIn_t q2) const
value_type | operator() (NodePtr_t n1, NodePtr_t n2) const
value_type | compute (ConfigurationIn_t q1, ConfigurationIn_t q2) const
value_type | compute (NodePtr_t n1, NodePtr_t n2) const
virtual | ~Distance ()

## Static Public Member Functions
static ReedsSheppPtr_t | create (const ProblemConstPtr_t &problem)
static ReedsSheppPtr_t | create (const ProblemConstPtr_t &problem, const value_type &turningRadius, JointPtr_t xyJoint, JointPtr_t rzJoint, std::vector< JointPtr_t > wheels)
static ReedsSheppPtr_t | createCopy (const ReedsSheppPtr_t &distance)

## Protected Member Functions
| ReedsShepp (const ProblemConstPtr_t &problem)
| ReedsShepp (const ProblemConstPtr_t &problem, const value_type &turningRadius, JointPtr_t xyJoint, JointPtr_t rzJoint, std::vector< JointPtr_t > wheels)
| ReedsShepp (const ReedsShepp &distance)
virtual value_type | impl_distance (ConfigurationIn_t q1, ConfigurationIn_t q2) const
| Derived class should implement this function.
void | init (const ReedsSheppWkPtr_t &weak)
Protected Member Functions inherited from hpp::core::Distance
| Distance ()
virtual value_type | impl_distance (NodePtr_t n1, NodePtr_t n2) const
| HPP_SERIALIZABLE ()

## Detailed Description

Reeds and Shepp distance

Compute the distance between two configurations of a nonholonomic cart-like mobile robot with bounded curvature.

## Constructor & Destructor Documentation

## ◆ ReedsShepp() [1/3]

hpp::core::distance::ReedsShepp::ReedsShepp | ( | const ProblemConstPtr_t & | problem | ) |
| protected

## ◆ ReedsShepp() [2/3]

hpp::core::distance::ReedsShepp::ReedsShepp | ( | const ProblemConstPtr_t & | problem,
|  | const value_type & | turningRadius,
|  | JointPtr_t | xyJoint,
|  | JointPtr_t | rzJoint,
|  | std::vector< JointPtr_t > | wheels
| ) |  |
| protected

## ◆ ReedsShepp() [3/3]

hpp::core::distance::ReedsShepp::ReedsShepp | ( | const ReedsShepp & | distance | ) |
| protected

## Member Function Documentation

## ◆ clone()

virtual DistancePtr_t hpp::core::distance::ReedsShepp::clone | ( |  | ) | const
| virtual

Implements hpp::core::Distance.

## ◆ create() [1/2]

static ReedsSheppPtr_t hpp::core::distance::ReedsShepp::create | ( | const ProblemConstPtr_t & | problem | ) |
| static

## ◆ create() [2/2]

static ReedsSheppPtr_t hpp::core::distance::ReedsShepp::create | ( | const ProblemConstPtr_t & | problem,
|  | const value_type & | turningRadius,
|  | JointPtr_t | xyJoint,
|  | JointPtr_t | rzJoint,
|  | std::vector< JointPtr_t > | wheels
| ) |  |
| static

## ◆ createCopy()

static ReedsSheppPtr_t hpp::core::distance::ReedsShepp::createCopy | ( | const ReedsSheppPtr_t & | distance | ) |
| static

## ◆ impl_distance()

virtual value_type hpp::core::distance::ReedsShepp::impl_distance | ( | ConfigurationIn_t | q1,
|  | ConfigurationIn_t | q2
| ) |  | const
| protectedvirtual

Derived class should implement this function.

Implements hpp::core::Distance.

## ◆ init()

void hpp::core::distance::ReedsShepp::init | ( | const ReedsSheppWkPtr_t & | weak | ) |
| protected

## ◆ turningRadius() [1/2]

value_type hpp::core::distance::ReedsShepp::turningRadius | ( |  | ) | const
| inline

## ◆ turningRadius() [2/2]

void hpp::core::distance::ReedsShepp::turningRadius | ( | const value_type & | rho | ) |

The documentation for this class was generated from the following file:

- include/hpp/core/distance/reeds-shepp.hh